---
restic_install: false
restic_version: 0.11.0
restic_path: /usr/local/bin/restic
restic_user: root
restic_user_home: /root

restic_default_folders: []
restic_folders: []
restic_databases: []
restic_dump_compression_enabled: false
restic_forget: true

restic_keep_last: false
restic_keep_hourly: false
restic_keep_daily: 4
restic_keep_weekly: 2
restic_keep_monthly: 3
restic_keep_yearly: 1
restic_keep_within: false

restic_prune: true
restic_check: true

restic_ssh_enabled: true

restic_systemd_timer_on_calender: '*-*-* 03:00:00'
restic_systemd_timer_randomized_delay_sec: 60*60*3

restic_ssh_host: backup
restic_ssh_private_key_path: '/root/.ssh/backup'
restic_password: "{{lookup('community.general.passwordstore', '{{passwordstore_path}}/restic/{{ansible_hostname}}_pwd create=True nosymbols=true')}}"
restic_repository_name: "{{ansible_hostname | default('restic') }}"
restic_ssh_private_key: "{{lookup('community.general.passwordstore', '{{passwordstore_path}}/restic/ssh_private returnall=true')}}"
restic_ssh_hostname: "{{lookup('community.general.passwordstore', '{{passwordstore_path}}/restic/ssh_hostname')}}"
restic_ssh_user: "{{lookup('community.general.passwordstore', '{{passwordstore_path}}/restic/ssh_user')}}"
restic_ssh_port: "{{lookup('community.general.passwordstore', '{{passwordstore_path}}/restic/ssh_port') | default(22)}}"
